@import '../../styles/variables';
@import '../../styles/input-mixins';

@include _cui-input-base-global('.cui-input-number');

$sizes: s, m, l;
@each $size in $sizes {
  $btn-width: cui-height($size) * 0.5 - 0.25rem;
  @include _cui-input-size-global($size, $btn-width, '.cui-input-number') {
    .spin {
      right: $cui-input-padding-h;

      .cui-button {
        width: $btn-width;
        height: $btn-width;
      }
    }
    .portal-container {
      right: $cui-input-padding-h * 3;
    }
  }
}

.cui-input-number {
  position: relative;
  display: inline-flex;
  flex: 1 1 auto;
  min-width: 0;

  input {
    -moz-appearance: textfield;

    &::-webkit-outer-spin-button,
    &::-webkit-inner-spin-button {
      -webkit-appearance: none;
      margin: 0;
      display: none;
    }
  }

  .spin {
    position: absolute;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
  }

  .portal-container {
    position: absolute;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
  }
}
